USB_DISABLE_AUTOSUSP(9)

NAME
usb_disable_autosuspend - prevent a USB device from being autosuspended

SYNOPSIS

void usb_disable_autosuspend(struct usb_device * udev);

ARGUMENTS

udev
    the USB device which may not be autosuspended

DESCRIPTION

This routine prevents udev from being autosuspended and wakes it up if it is already autosuspended.

The caller must hold udev's device lock.

COPYRIGHT